//
//  RecommendTitleTableViewCell.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/8.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class RecommendTitleTableViewCell: BaseTableViewCell {

    var xinfo = RecommendTitleTableViewCellModel()
    
    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel.init()
        titleLabel.textAlignment = .left
        titleLabel.numberOfLines = 0
        titleLabel.font = UIFont.test_systemFont(ofSize: 14)
        //        titleLabel.font = UIFont.boldSystemFont(ofSize: 21.33)
        //        titleLabel.font = UIFont.init(name: "Helvetica-Bold", size: 21.33)
        titleLabel.textColor = UIColorFromRGB(rgbValue: 0x1E202C)
        self.addSubview(titleLabel)
        return titleLabel
    }()
    
    override func awakeFromNib() {
        super.awakeFromNib()
        self.separatorInset=UIEdgeInsetsMake(0, SCREEN_WHIDTH(), 0, 0)
        // Initialization code
    }
    override func configurateTheCell(_ info: BaseCellModel) {
        xinfo = info as! RecommendTitleTableViewCellModel
        titleLabel.frame = CGRect(x:13.67, y: 0, width:self.width , height:self.height )
        titleLabel.centerY = self.height/2
        titleLabel.text = xinfo.titleStr
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }

}
class RecommendTitleTableViewCellModel: BaseCellModel {
    var titleStr:String?
    var imageUrl:String?
    var timeStr:String?
    var block:selectBlock!
}
